#
# spec file for package perl-Date-Holidays-AU
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Date-Holidays-AU
Version:        0.20
Release:        1.1
%define cpan_name Date-Holidays-AU
Summary:        Determine Australian Public Holidays
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDICK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Easter)
Requires:       perl(Date::Easter)
%{perl_requires}

%description
This module makes an attempt at describing Australian holidays using the
interface defined Date::Holidays::Abstract, which defines two methods,
is_holiday and holidays.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Jan  2 2019 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.20 - 2 Jan 2019
  * Adding VIC Grand Final Eve for 2019 (patch from Deborah Pickett), WA Queens Birthday 2020
* Sat Jan 20 2018 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.19 - 19 Jan 2018
  * Adding VIC Grand Final Eve for 2018, WA Queens Birthday 2019
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.18 - 18 Jan 2017
  * Documentation fixes
    0.17 - 17 Jan 2017
  * Documentation fixes
    0.16 - 17 Jan 2017
  * Code cleanups.  Added README.  perlcritic passing at -4
    0.15 - 12 Jan 2017
  * Adding VIC Grand Final Eve for 2017, WA Queens Birthday 2018
* Wed Jan 27 2016 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.14 - 24 Jan 2016
  * Adding VIC Grand Final Eve for 2016, WA Queens Birthday 2017
* Fri Aug 28 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.13 - 25 Aug 2015
  * RT #106648 - Adding VIC Grand Final Eve holiday.
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Date-Holidays-AU/Changes
    0.12 - 31 Aug 2014
  * RT #98471 - Fixing pod errors.  Patch from JONASBN.
    0.11 - 4 Feb 2014
  * RT #92714 - Changing NSW to not get a ANZAC Day Holiday if ANZAC Day falls on a weekend
  * RT #92714 - Changing NSW to get "Additional Day" if Christmas Day or Boxing Day falls on a weekend
    0.10 - 5 Jan 2014
  * Adding WA Queens Birthday for 2015 and 2016
  * perltidy and perlcritic passing at -5
* Thu May 31 2012 coolo@suse.com
- updated to 0.09
  * Adding WA Queens Birthday for 2013 and 2014
  * Updated the change in WA Queens Birthday for 2011 from October 3 to October 28
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.08
  * created by cpanspec 1.78.03
